function recordingAll(){
			 //判断是选中全选还是取消全选
			 if($(".checkall").is(":checked")){
				 //选中全选，记录当前页
				 if(!(recordingAllByPage.indexOf("."+$('#example3').DataTable().page()+",")>=0)){
					 recordingAllByPage += "."+$('#example3').DataTable().page()+",";
				 }
				 //改变本页面的所有未被选中的记录状态并记录值
				 $('.checkchild').each(function(i){
					 if(checkCheckboxLength()){
						if(!$(this).is(":checked")){
		                	$(this).prop("checked",true);
		                	selectedActivity += ("."+$(this).val()+",");
						}
					 }else{
						 return false;
					 }
	               });
			 }else{
				 //取消全选，取消当前页全选的状态
				 recordingAllByPage=recordingAllByPage.replace("."+$('#example3').DataTable().page()+",","");
				 //改变本页面的所有被选中的记录状态并删除值
				 $('.checkchild').each(function(i){
					 if($(this).is(":checked")){
						 $(this).prop("checked",false);
						 selectedActivity=selectedActivity.replace("."+$(this).val()+",","");
					 }
	               }); 
			 }
		 }

function setImageTextList(data){ 
	 var html="";
		if(data.data!=null && data.data.length>0){
    		if(data.data.length==1){ 
    			html+="<div class='form-group form-md-line-input' id='messageLabel' style='clear:both;width:200px;'><label>消息效果预览</label><div><p style='color:#000;font-size:15px;'>"+data.data[0].title+"</p><p style='color:#666;font-size:12px;'>"+formatDateTimes(new Date().getTime())+"</p><img style='width:200px;height:120px;' src='"+data.data[0].picUrl+"'/><p style='color:#666;font-size:14px;'>"+data.data[0].description+"</p><p style='color:#000;font-size:13px;'>阅读全文</p></div></div>";
    		}else{ 
    			html+="<div class='form-group form-md-line-input' id='messageLabel' style='clear:both;width:200px;'>"+
        		"<label>消息效果预览</label>"; 
        		for(var i = 0;i<data.data.length;i++){ 
        			if(i==0){
        				html+="<div style='width:200px;'>"+
                		 "<div style='position: relative;width:100%;'>"+
                		 "<p style='color: #fff;font-size: 15px;position: absolute;left: 0px;bottom: 0px;width: 100%;background: #333;opacity: 0.75;margin-bottom: 0px;height: 30px;padding-top: 5px;'>"+data.data[i].title+"</p><img style='width:200px;height:120px;' src='"+data.data[i].picUrl+"'>"+
                		 "</div>";
        			}else{
        				html+="<div style='width:100%;height:50px;border-top:#ccc 1px solid;margin-top:5px;padding-top:5px;padding-bottom: 5px;'><p style='width:80%;float:left'>"+data.data[i].title+"</p><img src='"+data.data[i].picUrl+"' style='width:40px;height:40px;'></div>";
        			}
        		}
        		html+="</div></div>";
    		}
    	}
		return html;
	}



		function recordingOne(ele){
			//判断是选中还是取消
			if($(ele).is(":checked")){
				//选中记录value
				if(checkCheckboxLength()){
					selectedActivity += ("."+$(ele).val()+",");
				}else{
					$(ele).prop("checked",false);
				}
			}else{
				//取消删除value
				selectedActivity=selectedActivity.replace("."+$(ele).val()+",","");
			}
		 }
		
		 function checkCheckboxLength(){
			 var lengthTemp=selectedActivity.split(",");
			 if(lengthTemp.length>10){
				 Cfapp.alert({
	                 message: "最多选择十条图文",
	                 success: function() {
	                   
	                 }
	               });
				 return false;
			 }else{
				 return true;
			 }
		 }
		 
		 function   formatDateTimes(now)   {
				var now = new Date(now);
				var   month=now.getMonth()+1;     
				var   date=now.getDate();     
				    return  month+"月"+date+"日";     
			} 
